/*
 * Compilation: g++ -std=c++17 hello.cpp -o hello
 * Execution: 
 *      ./hello
 *      -24
 */

#include <iostream>

int swapDigits(int x) {
    if (x < 0) {
        x = std::abs(x);
    }
    int ones = x % 10;
    int tens = (x / 10) % 10;
    return 10 * ones + tens;
} 

int main() {
    int i;

    std::cout << "Please enter a number: ";
    std::cin >> i; 
    std::cout << "Hello world! My favorite number is ";;
    std::cout << swapDigits(i) << "!\n";
}